<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'params',

    /*
     * Package.
     */
    'package'   => 'param',

    /*
     * Modules.
     */
    'modules'   => ['params'],

    
    'params'       => [
        'model' => [
            'model'                 => \Params\Param\Models\Params::class,
            'table'                 => 'params',
            'presenter'             => \Params\Param\Repositories\Presenter\ParamsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'key',  'value'],
            'translatables'         => [],
            'upload_folder'         => 'param/params',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Params',
            'package'   => 'Param',
            'module'    => 'Params',
        ],

    ],
];
