<?php

namespace Params\Param\Repositories\Eloquent;

use Params\Param\Interfaces\ParamsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ParamsRepository extends BaseRepository implements ParamsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('params.param.params.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('params.param.params.model.model');
    }
}
